JSON for Modern C++ 3.7.3

accept
accept
accept
allocator_type
array
array_t
at
at
at
at
at
at
back
back
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
begin
begin
binary
binary
binary
binary
binary_t
boolean_t
cbegin
cend
clear
const_iterator
const_pointer
const_reference
const_reverse_iterator
contains
contains
count
crbegin
crend
detail::external_constructor
diff
difference_type
dump
emplace
emplace_back
empty
end
end
erase
erase
erase
erase
error_handler_t
exception
find
find
flatten
from_bson
from_bson
from_bson
from_cbor
from_cbor
from_cbor
from_msgpack
from_msgpack
from_msgpack
from_ubjson
from_ubjson
from_ubjson
front
front
get
get
get
get
get
get
get_allocator
get_binary
get_binary
get_ptr
get_ptr
get_ref
get_ref
get_to
get_to
initializer_list_t
input_format_t
insert
insert
insert
insert
insert
insert
insert_iterator
invalid_iterator
is_array
is_binary
is_boolean
is_discarded
is_null
is_number
is_number_float
is_number_integer
is_number_unsigned
is_object
is_primitive
is_string
is_structured
items
items
iterator
iterator_wrapper
iterator_wrapper
json_pointer
json_sax_t
json_serializer
max_size
merge_patch
meta
number_float_t
number_integer_t
number_unsigned_t
object
object_comparator_t
object_t
operator value_t
operator ValueType
operator!=
operator!=
operator!=
operator+=
operator+=
operator+=
operator+=
operator<
operator<
operator<
operator<<
operator<<
operator<=
operator<=
operator<=
operator=
operator==
operator==
operator==
operator>
operator>
operator>
operator>=
operator>=
operator>=
operator>>
operator>>
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
other_error
out_of_range
parse
parse
parse
parse_error
parse_event_t
parser_callback_t
patch
pointer
push_back
push_back
push_back
push_back
rbegin
rbegin
reference
rend
rend
reverse_iterator
sax_parse
sax_parse
sax_parse
size
size_type
string_t
swap
swap
swap
swap
swap
swap
to_bson
to_bson
to_bson
to_cbor
to_cbor
to_cbor
to_msgpack
to_msgpack
to_msgpack
to_ubjson
to_ubjson
to_ubjson
type
type_error
type_name
unflatten
update
update
value
value
value
value
value_t
value_type
~basic_json
| ## ◆ insert() [5/6]
iterator nlohmann::basic_json::insert | ( | const_iterator | pos,
|  | initializer_list_t | ilist
| ) |  |
| inline
  Inserts elements from initializer list ilist before iterator pos. Parameters
  [in] | pos | iterator before which the content will be inserted; may be the end() iterator
  [in] | ilist | initializer list to insert the values from
  Exceptions
  type_error.309 | if called on JSON values other than arrays; example: `"cannot use insert() with string"`
  invalid_iterator.202 | if pos is not an iterator of *this; example: `"iterator does not fit current value"`
  Returns iterator pointing to the first element inserted, or pos if `ilist` is empty Complexity Linear in `ilist.size()` plus linear in the distance between pos and end of the container. Example The example shows how `insert()` is used. 1 #include <iostream> 2 #include <nlohmann/json.hpp> 3 4 using json = nlohmann::json; 5 6 int main() 7 { 8 // create a JSON array 9 json v = {1, 2, 3, 4}; 10 11 // insert range from v2 before the end of array v 12 auto new_pos = v.insert(v.end(), {7, 8, 9}); 13 14 // output new array and result of insert call 15 std::cout << *new_pos << '\n'; 16 std::cout << v << '\n'; 17 } Output (play with this example online):
      7
      [1,2,3,4,7,8,9]
  The example code above can be translated with
      g++ -std=c++11 -Isingle_include doc/examples/insert__ilist.cpp -o insert__ilist
Since version 1.0.0 Definition at line 21469 of file json.hpp.

nlohmann::json
basic_json<> json
default JSON class
Definition: json.hpp:2774